Index: contrib/crossrpms/rtems4.10/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/avr/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS +=
Index: contrib/crossrpms/rtems4.10/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -114,5 +114,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/bfin/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/bfin/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/bfin/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/h8300/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/i386/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m32c/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32c/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --disable-infos
Index: contrib/crossrpms/rtems4.10/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32c/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -113,5 +113,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -45,5 +45,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	5%{?dist}
+Release:	6%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -82,5 +82,5 @@
 
 Source0: ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
-Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081003.diff
+Patch0:  ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gdb-6.8-rtems4.10-20081217.diff
 
 %description
Index: contrib/crossrpms/rtems4.10/m32r/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32r/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --disable-infos
Index: contrib/crossrpms/rtems4.10/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32r/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -113,5 +113,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m68k/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/mips/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/powerpc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sh/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sparc/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/Makefile.am	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -13,7 +13,7 @@
 GCC_VERS = 4.3.2
 GCC_PKGVERS = $(GCC_VERS)
-GCC_RPMREL = 19%{?dist}
-NEWLIB_VERS = 1.16.0
-NEWLIB_PKGVERS = $(NEWLIB_VERS).cvs.20081216
+GCC_RPMREL = 20%{?dist}
+NEWLIB_VERS = 1.17.0
+NEWLIB_PKGVERS = $(NEWLIB_VERS)
 include ../gcc.am
 GCC_OPTS += --languages=cxx
Index: contrib/crossrpms/rtems4.10/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/gcc-sources.add	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -35,5 +35,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-binutils.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-binutils.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-binutils.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-cpukit.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -4,10 +4,23 @@
 #
 
-%define _prefix			/opt/rtems-4.10
-%define _infodir		%{_prefix}/info
-%define _mandir			%{_prefix}/man
+%define _prefix                 /opt/rtems-4.10
+%define _exec_prefix            %{_prefix}
+%define _bindir                 %{_exec_prefix}/bin
+%define _sbindir                %{_exec_prefix}/sbin
+%define _libexecdir             %{_exec_prefix}/libexec
+%define _datarootdir            %{_prefix}/share
+%define _datadir                %{_datarootdir}
+%define _sysconfdir             %{_prefix}/etc
+%define _sharedstatedir         %{_prefix}/com
+%define _localstatedir          %{_prefix}/var
+%define _includedir             %{_prefix}/include
+%define _libdir                 %{_exec_prefix}/%{_lib}
+%define _mandir                 %{_datarootdir}/man
+%define _infodir                %{_datarootdir}/info
+%define _localedir              %{_datarootdir}/locale
 
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -17,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
@@ -43,6 +43,6 @@
 %define gcc_rpmvers %{expand:%(echo "4.3.2" | tr - _ )}
 
-%define newlib_pkgvers		1.16.0.cvs.20081216
-%define newlib_version		1.16.0
+%define newlib_pkgvers		1.17.0
+%define newlib_version		1.17.0
 %define gccnewlib_version	gcc%{gcc_version}newlib%{newlib_version}
 
@@ -54,5 +54,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	19%{?dist}
+Release:      	20%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -119,5 +119,5 @@
 %if "%{newlib_version}" == "1.16.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081216.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-%{newlib_pkgvers}-rtems4.10-20081223.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec	(revision 842b7c4fe3ad1fc94c96347740d6bfe8ee7e91bb)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec	(revision 8ffd16bba4bd315367ede5e6bdbcd48a9b3104d0)
@@ -22,4 +22,5 @@
 %ifos cygwin cygwin32 mingw mingw32
 %define _exeext .exe
+%define debug_package		%{nil}
 %else
 %define _exeext %{nil}
@@ -29,5 +30,4 @@
 %define optflags -O3 -pipe -march=i486 -funroll-loops
 %define _libdir			%{_exec_prefix}/lib
-%define debug_package		%{nil}
 %endif
 
